## net.i2p.client.streaming
Class SchedulerDead

    java.lang.Object
      net.i2p.client.streaming.SchedulerImpl
          net.i2p.client.streaming.SchedulerDead

All Implemented Interfaces:
  TaskScheduler

     class SchedulerDead

extends SchedulerImpl

Scheduler used for after the final timeout has passed or the connection was reset.

## Entry conditions:

- Both sides have closed and ACKed and the timeout has passed.
  or
- A RESET was received

## Events:

- None

## Next states:

- None

Field Summary

Fields inherited from class net.i2p.client.streaming.SchedulerImpl
`_context`

Constructor Summary
`SchedulerDead(I2PAppContext ctx)`

Method Summary
`boolean` `accept(Connection con)`
`void` `eventOccurred(Connection con)`

Methods inherited from class net.i2p.client.streaming.SchedulerImpl
`reschedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerDead

    public SchedulerDead(I2PAppContext ctx)

Method Detail

### accept

    public boolean accept(Connection con)

### eventOccurred

    public void eventOccurred(Connection con)